Bug 543705 - Authorization problem in the Printer Configuration menu
Authorization problem in the Printer Configuration menu
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-02 17:18 EST by Christian Ledwon
Modified: 2010-12-03 21:20 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 21:20:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Ledwon 2009-12-02 17:18:40 EST
Description of problem:

When opening the Printer Configuration dialog, the Server Settings are greyed out. Furthermore, trying to add a new network printer results in the following error message:

Not authorized - System Settings
The password may be incorrect.


Version-Release number of selected component (if applicable):

kdebase-4.3.3-3.fc12.x86_64
kdeutils-printer-applet-4.3.3-1.fc12.x86_64
kdeutils-4.3.3-1.fc12_x86_64
system-config-printer-kde-4.3.3-1.fc12.x86_64


How reproducible: everytime.


Steps to Reproduce:

1. open System Settings
2. open Printer Configuration
3. click on "Server Settings"
4. click on "New Printer"
5. click on "New Network Printer"

  
Actual results:

For step 3, all options are greyed out.
For step 5, an error message is shown:

Not authorized - System Settings
The password may be incorrect.

After closing the error message, "Other" is the only available connection type in the "New Printer" dialog.


Expected results:

For step 3, being able to access the settings.
For step 5, being able to manually add a network printer


Additional info:

When opening the Printer Configuration the following way, everything works as expected:

kdesu kcmshell4 system-config-printer-kde
Comment 1 Steven M. Parrish 2009-12-14 17:30:57 EST
Thanks for reporting this issue.  This is an issue that needs to be addressed by the upstream developers.
Please check http://bugs.kde.org to see if a report already exists and if not open one.  Then add the
upstream report information to this report.  

Thank you

SMParrish
KDE & PackageKit Triager

This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2010-11-04 00:32:40 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 21:20:26 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.